List automations
curl --request GET \
--url https://api.docsautomator.co/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.docsautomator.co/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.docsautomator.co/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.docsautomator.co/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.docsautomator.co/automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.docsautomator.co/automations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.docsautomator.co/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"automations": [
{
"_id": "<string>",
"title": "<string>",
"dataSource": {
"name": "<string>"
},
"dataSourceName": "<string>",
"docTemplateLink": "<string>",
"newDocumentNameField": "<string>",
"isActive": true,
"isPreview": true,
"saveGoogleDoc": true,
"locale": "<string>",
"formatNumbersWithLocale": true,
"pdfExpiration": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"lastPreviewPdf": "<string>",
"options": {
"lineDeletions": [
"client_vat_id",
"line_items_1_discount"
],
"markdownPlaceholders": [
"project_summary"
],
"hiddenPlaceholders": [
"internal_note"
],
"uniqueValuePlaceholders": [
"project_names"
],
"placeholderDescriptions": {},
"placeholderFormats": {},
"imageOptions": {}
},
"esignature": {
"enabled": true,
"closeType": "signature",
"recipientCount": 123,
"signers": [
{
"signer": 123,
"role": "<string>",
"emailSource": "static",
"email": "<string>",
"name": "<string>"
}
]
},
"description": "<string>",
"attachmentField": "<string>",
"overwriteAttachment": true,
"attachPdfToClickUpTask": true,
"clickUpAttachmentFieldId": "<string>",
"dateFormat": {
"day": "numeric",
"month": "numeric",
"year": "numeric",
"hour12": "true"
},
"fields": "<string>",
"imageOptions": {
"quality": "low",
"maxWidth": 123
},
"googleDocDestinationFolderUrl": "<string>",
"googleDocUrlField": "<string>",
"pdfUrlField": "<string>",
"saveWordDoc": true,
"saveWordInDriveFolderId": "<string>",
"saveWordSubfolderName": "<string>",
"wordAttachmentField": "<string>",
"overwriteWordAttachment": true,
"approval": {
"enabled": true,
"approvers": [
"<string>"
],
"rule": "all",
"condition": {},
"requireAccount": true,
"approverFields": [
{}
]
}
}
]
}{
"error": "Incorrect or missing API key"
}Automations
List automations
Retrieves all automations in the workspace with their configuration details.
GET
/
automations
List automations
curl --request GET \
--url https://api.docsautomator.co/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.docsautomator.co/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.docsautomator.co/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.docsautomator.co/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.docsautomator.co/automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.docsautomator.co/automations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.docsautomator.co/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"automations": [
{
"_id": "<string>",
"title": "<string>",
"dataSource": {
"name": "<string>"
},
"dataSourceName": "<string>",
"docTemplateLink": "<string>",
"newDocumentNameField": "<string>",
"isActive": true,
"isPreview": true,
"saveGoogleDoc": true,
"locale": "<string>",
"formatNumbersWithLocale": true,
"pdfExpiration": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"lastPreviewPdf": "<string>",
"options": {
"lineDeletions": [
"client_vat_id",
"line_items_1_discount"
],
"markdownPlaceholders": [
"project_summary"
],
"hiddenPlaceholders": [
"internal_note"
],
"uniqueValuePlaceholders": [
"project_names"
],
"placeholderDescriptions": {},
"placeholderFormats": {},
"imageOptions": {}
},
"esignature": {
"enabled": true,
"closeType": "signature",
"recipientCount": 123,
"signers": [
{
"signer": 123,
"role": "<string>",
"emailSource": "static",
"email": "<string>",
"name": "<string>"
}
]
},
"description": "<string>",
"attachmentField": "<string>",
"overwriteAttachment": true,
"attachPdfToClickUpTask": true,
"clickUpAttachmentFieldId": "<string>",
"dateFormat": {
"day": "numeric",
"month": "numeric",
"year": "numeric",
"hour12": "true"
},
"fields": "<string>",
"imageOptions": {
"quality": "low",
"maxWidth": 123
},
"googleDocDestinationFolderUrl": "<string>",
"googleDocUrlField": "<string>",
"pdfUrlField": "<string>",
"saveWordDoc": true,
"saveWordInDriveFolderId": "<string>",
"saveWordSubfolderName": "<string>",
"wordAttachmentField": "<string>",
"overwriteWordAttachment": true,
"approval": {
"enabled": true,
"approvers": [
"<string>"
],
"rule": "all",
"condition": {},
"requireAccount": true,
"approverFields": [
{}
]
}
}
]
}{
"error": "Incorrect or missing API key"
}Authorizations
API key from your workspace settings. Pass as Authorization: Bearer <key> or X-API-Key: <key>. Find it at app.docsautomator.co/settings/workspace/api.